'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

let Event = function () {
  /**
   * Create a new instance.
   *
   * @param {EventConfig} config event configuration
   */
  function Event(config) {
    _classCallCheck(this, Event);

    this._name = config.name || 'event';
    this._data = config.data;
  }

  /**
   * Get event name.
   *
   * @returns {String} the event name
   */


  _createClass(Event, [{
    key: 'name',
    get: function get() {
      return this._name;
    }

    /**
     * Get event data.
     *
     * @returns {*} the event data
     */

  }, {
    key: 'data',
    get: function get() {
      return this._data;
    }

    /**
     * Set event data.
     *
     * @param {*} data the event data
     *
     * @returns {undefined}
     */
    ,
    set: function set(data) {
      this._data = data;
    }
  }]);

  return Event;
}();

exports.default = Event;