'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ajv = require('ajv');

var _ajv2 = _interopRequireDefault(_ajv);

var _ValidationError = require('./../errors/ValidationError');

var _ValidationError2 = _interopRequireDefault(_ValidationError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const ajv = new _ajv2.default({ allErrors: true });

ajv.addSchema(require('../../resources/schema/configuration+v1.json'));

exports.default = {
  ajv: ajv,
  /**
   * Validate schema.
   *
   * @param {String} schema schema id
   * @param {Object} body   the object to validate
   *
   * @returns {Boolean} True on success and throws ValidationError on false
   *
   * @throws ValidationError
   */
  validate: function validate(schema, body) {
    return _asyncToGenerator(function* () {
      const result = yield ajv.validate(schema, body);

      if (result !== true) {
        throw new _ValidationError2.default(ajv.errorsText());
      }

      return true;
    })();
  }
};